package be.iminds.ilabt.jfed.experimenter_gui.slice.events;

import be.iminds.ilabt.jfed.experiment.ExperimentController;
import javafx.stage.Window;

import javax.annotation.Nonnull;
import javax.annotation.Nullable;

/**
 * User: twalcari
 * Date: 5/12/2015
 * Time: 15:36
 */
public abstract class ExperimentControllerEvent {

    @Nullable private final Window parentWindow;
    @Nonnull private final ExperimentController experimentController;

    public ExperimentControllerEvent(@Nullable Window parentWindow, @Nonnull ExperimentController experimentController) {
        this.parentWindow = parentWindow;
        this.experimentController = experimentController;
    }

    @Nonnull public ExperimentController getExperimentController() {
        return experimentController;
    }

    @Nullable public Window getParentWindow() {
        return parentWindow;
    }
}
